<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.infrared.mapper.InfraredReadingMeterMapper">

    <resultMap id="BaseResultMap" type="com.zksy.infrared.domain.InfraredReadingMeter">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="electricNumber" column="electric_number" jdbcType="VARCHAR"/>
            <result property="addressCode" column="address_code" jdbcType="VARCHAR"/>
            <result property="functionCode" column="function_code" jdbcType="VARCHAR"/>
            <result property="agreement" column="agreement" jdbcType="VARCHAR"/>
            <result property="electricEnergy" column="electric_energy" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,electric_number,address_code,
        function_code,agreement,electric_energy,
        create_time
    </sql>
</mapper>
